{#-

    This helper macro is responsible for rendering section label for each report
    section.

-#}
{%- macro section_label_evt(key) -%}
{%-
    set labels = {
        'ips':        _('Number of processed events per source IP'),
        'categories': _('Number of processed events per category'),
        'detectors':  _('Number of processed events per detector'),
        'analyzers':  _('Number of processed events per analyzer'),
        'abuses':     _('Number of processed events per abuse group'),
        'asns':       _('Number of processed events per autonomous system'),
        'countries':  _('Number of processed events per source country')
    }
-%}
{{ labels[key] }}
{%- endmacro -%}

{%- macro section_label_rep(key) -%}
{%-
    set labels = {
        'emails':     _('Number of sent email reports'),
        'ips':        _('Number of reported events per source IP'),
        'categories': _('Number of reported events per category'),
        'detectors':  _('Number of reported events per detector'),
        'analyzers':  _('Number of reported events per analyzer'),
        'abuses':     _('Number of reported events per abuse group'),
        'asns':       _('Number of reported events per autonomous system'),
        'countries':  _('Number of reported events per source country')
    }
-%}
{{ labels[key] }}
{%- endmacro -%}
